Gentoo Archives: gentoo-user

From: Neil Bothwick <neil@××××××××××.uk>
To: gentoo-user@l.g.o
Subject: Re: [gentoo-user] insane backends
Date: Mon, 30 Oct 2017 08:39:49
Message-Id: 20171030083933.23015622@digimed.co.uk
In Reply to: [gentoo-user] insane backends by Philip Webb
On Sun, 29 Oct 2017 22:39:31 -0400, Philip Webb wrote:

> 'sane-backends-1.0.27' just stabilised, so I updated to it. > Previously I had selected 4 items from the list in SANE_BACKENDS, > which is shown by 'emerge', ie 'epson epson2 plustek plustek_pp'. > My scanner is an 'Epson V550 Photo'. > > Wanting to test which of the 4 items above was needed, I tried each. > Inadvertently, I tried emerging 'sane-backends' with none included > & discovered that my scanner still works regardless !
ISTR that with use_expanded variables like this, if you don't set the variable then all options are enabled, so you've just built an un-gentoolike version that works everywhere. You could check this by using qlist to see what has been installed with and without SANE_BACKENDS set. -- Neil Bothwick In plumbing, a straight flush is better than a full house.

Replies

Subject Author
Re: [gentoo-user] insane backends Philip Webb <purslow@××××××××.net>